<?php

  require_once ('../app/model/db.class.php');
  require_once("../dompdf/dompdf_config.inc.php");
  require_once "../dompdf/www/functions.inc.php";
  
  $obj = new database();
  $obj->conectar();
  $obj->consulta("set names 'utf8'");
  $cadena=$obj->consulta("select codigo from alumnos_temporal where activar='1'");
  



    /*-------------  HTML -----------*/

    $s="<html>";
    $s.="<head>
         <meta https-equiv='expires' content='0'>
         <meta https-equiv='Cache-Control' content='no-cache'>
         <meta https-equiv='Pragma' CONTENT='no-cache'>";
    $s.="<title></title>
         </head>";

    $s.="<body>";
    $s.="<center>";

     $i=0;
     while($row =$obj->fetch_assoc($cadena)) {
         
         $leyen="";
         
         $i=$i+1;
         
         $alumno=$obj->consulta("select matriculas.codigo, CONCAT(p_apellido,' ',s_apellido) AS apellidos, CONCAT(p_nombre,' ',s_nombre) AS nombres,alumnos.tipodoc,alumnos.nodoc,alumnos.tiposangre,alumnos.eps,alumnos.telefono, cursos.descripcion as nom_curso, jornadas.descripcion as nom_jor
                                 from (jornadas inner join cursos on jornadas.codigo = cursos.jornada) inner join (alumnos inner join matriculas on alumnos.codigo = matriculas.codigo) on (cursos.codigo = matriculas.curso) and (cursos.grado = matriculas.grado)
                                 where matriculas.codigo='".$row['codigo']."'");
         
         $row1 = $obj->fetch_assoc($alumno);

    if($row1['tipodoc']=='1')
        $leyen="C.C ";

    if($row1['tipodoc']=='2')
        $leyen="T.I ";

    if($row1['tipodoc']=='3')
        $leyen="C.E ";

     if($row1['tipodoc']=='4')
        $leyen="R.C ";

    if($row1['tipodoc']=='5')
        $leyen="NIP ";

     if($row1['tipodoc']=='6')
        $leyen="NUIP ";   
    
    $leyen.= $row1['nodoc']; 
 
    //------------------------
    
    if($row1['tiposangre']=='1')
        $sangre='AB+';   
    if($row1['tiposangre']=='2')
        $sangre='AB-';  
    if($row1['tiposangre']=='3')
        $sangre='A+';   
    if($row1['tiposangre']=='4')
        $sangre='A-'; 
    if($row1['tiposangre']=='5')
        $sangre='O+';   
    if($row1['tiposangre']=='6')
        $sangre='O-'; 
    if($row1['tiposangre']=='7')
        $sangre='B+';   
    if($row1['tiposangre']=='8')
        $sangre='B-'; 
                         
        $s.="<table align='center' style='border: 2px solid black; border-collapse:collapse;' width='90%' border='0'>";
            
         $s.="<tr>";
         $s.="<td align='center' colspan='2'><br><img src='encabezado.png' width='300' height='70'/></td>";
         $s.="<td align='center' rowspan='2'>
              <img src='respaldo.png' width='300' height='170'/>
              <br>&nbsp;
              </td>";                  
         $s.="</tr>";

         $s.="<tr>";
         $s.="<td width='120' style='font-size:9px;'>
              <br>
              &nbsp;C&Oacute;DIGO:&nbsp;".$row1['codigo']."
              &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
              &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
              RH:&nbsp;".$sangre."
              <br>&nbsp;".($row1['apellidos'])."&nbsp;".($row1['nombres'])."
              <br>&nbsp;".$leyen."
              
              <br>&nbsp;GRADO:&nbsp;".$row1['nom_curso']."
              <br>&nbsp;JORNADA:&nbsp;".($row1['nom_jor'])."
              <br>&nbsp;TEL:&nbsp;".($row1['telefono'])."
              <br>&nbsp;EPS:&nbsp;".($row1['eps'])."           
              <br>&nbsp;
              </td>";
         
         if (file_exists('../fotos/'.$row['codigo'].'.jpg'))
             $s.="<td align='center'><img src='../fotos/".$row['codigo'].".jpg' width='65' height='80'/></td>";                  
         else
            $s.="<td align='center'></td>"; 
            
         $s.="</tr>";
         $s.="</table>";
         
         
     }

    $s.="</center>";
          
     $s.="</body></html>";

     /*--------------------------------------*/
//    echo $s;

    $obj->disconnect();

    $dompdf = new DOMPDF();
    $dompdf->load_html($s);
    $dompdf->set_paper('A4', 'portrait');
    $dompdf->render();

    $dompdf->stream("carnet_".$row['grado']."_".$row['curso'].".pdf", array("Attachment" => false));

?>