<?php

require_once ('../app/model/db.class.php');
require_once('../dompdf/dompdf_config.inc.php');
require_once ('../dompdf/www/functions.inc.php');

function nombremes($mes){
setlocale(LC_TIME, 'spanish');
$nombre=strftime("%B",mktime(0, 0, 0, $mes, 1, 2000));
return $nombre;
}

function decimales($nota){

     if (strlen($nota)==1) {
         $nota=$nota.".00";
     }


     if (strlen($nota)>3) {
         $nota=substr($nota ,0,3);
     }

    return $nota;

}
$codigo =$_REQUEST['codigo'];

$obj = new database();
$obj->conectar(); 
$obj->consulta("set names 'utf8'");

$query2=$obj->consulta("select * from parametros");
$param=$obj->fetch_assoc($query2);

$query=$obj->consulta("select * from constancia");
$leyen=$obj->fetch_assoc($query);

$query1=$obj->consulta("select * from registrar");
$arr=$obj->fetch_assoc($query1);

$obj->consulta("delete from certificado_final");

$obj->consulta("insert into certificado_final (asignatura, i_h, definitiva, nivel, orden ) select catalogo.descripcion,
                curso_asignatura_profesor.intensidad, notas_finales_asign.definitiva, notas_finales_asign.valor_asigna, catalogo.orden
                from curso_asignatura_profesor inner join (catalogo inner join notas_finales_asign on catalogo.codigo = notas_finales_asign.asignatura) on (curso_asignatura_profesor.asignatura = notas_finales_asign.asignatura) and (curso_asignatura_profesor.curso = notas_finales_asign.grupo) and (curso_asignatura_profesor.grado = notas_finales_asign.grado)
                where notas_finales_asign.codigo='".$codigo."' order by catalogo.orden");

$resul=$obj->consulta("select * from certificado_final order by orden asc;");


$sede=$obj->consulta("select sedes.descripcion from matriculas inner join (sedes inner join cursos on sedes.codigo = cursos.sede) on
                    (matriculas.curso = cursos.codigo) and (matriculas.grado = cursos.grado) where matriculas.codigo='".$codigo."'");

$row1=$obj->fetch_assoc($sede);


$html="<html>
<head>
<meta https-equiv='expires' content='0'>
<meta https-equiv='Cache-Control' content='no-cache'>
<meta https-equiv='Pragma' CONTENT='no-cache'>
<title>Certificado Final</title>

<style type='text/css'>
  
       .normal {
          border: 1px solid #000;
          border-collapse: collapse;
        }
        .normal th, .normal td {
          border: 1px solid #000;
        }
        
        .ecabezado{
        text-align:center;
        }
</style>


  <style>
    
    #footer { position: fixed; left: 0px; bottom: -10px; right: 0px; height:180px; background-color: white; }
    #footer .page:after { content: counter(page, upper-roman); }
  
  </style>
</head>

<body>";

$html.="<table width='90%' border='0' align='center'>";
$html.="<tr>
          <td align='center' rowspan='4'><img src='../imagenes/escudo.jpg' width='85' height='85'></td>
          <td style='font-size: 14px; text-align:center;'><b>REP&Uacute;BLICA DE COLOMBIA</b></td>
          <td align='center' rowspan='4'><img src='../imagenes/escudo_colombia.png' width='85' height='95'></td>
        </tr>";
$html.="<tr><td style='font-size: 14px; text-align:center;'><b>DEPARTAMENTO DEL CAQUET&Aacute;</b></td>";
$html.="<tr><td style='font-size: 14px; text-align:center;'><b>".$arr['institucion']."</b></td></tr>";
$html.="<tr><td style='font-size: 14px; text-align:center;'><b>San Jos&eacute; del Fragua</b></td></tr>";


$html.="</table><br>";


//------------------------------------------------------------------------------
        
$html.="<table width='90%' align='center'  border='0'>";
$html.="<tr><td style='font-size: 13px;'>Certificado No.  ".$param['no_certificado']."</td></tr>";
$html.="</table>";                      
       
        
$html.="<table width='90%' border='0' align='center'>";
$html.="<tr><td style='font-size: 13px; width: 225px;' >R.E  :".$arr['registroeducativo']."</td>";
$html.="<td style='font-size: 13px; text-align:right;'>C&oacute;digo DANE : ".$arr['codigodane']." </td></tr>";
$html.="</table><br>"; 

$html.="<CENTER><B>CERTIFICADO DE ESTUDIO</B></CENTER><BR>
    <table width='90%' border='0' align='center'>";
$html.="<tr><td style='font-size: 13px; text-align:justify'>".($arr['certificadofinal'])."</td></tr>";
$html.="</table><br>";

    
$html.="<table width='70%' border='0' align='center'>";
$html.="<tr><td style='font-size: 16px; text-align:center;'><b>CERTIFICAN</b></td></tr>";
$html.="</table>";



//------------------------------------------------------------------------------

$html.="<table width='90%' border='0' align='center'>";
$html.="<tr><td style='font-size: 13px; text-align:justify;'>".$leyen['leyenda']."</td></tr>";
$html.="</table>";



//------------------------------------------------------------------------------


$html.="<br><table border='1' width='90%'  cellspacing=0 cellpadding=2 align='center'>";
$html.="<tr>
        <th width='50%' style='font-size: 12px;'>AREAS Y/O ASIGNATURAS</th>
        <th width='10%' style='font-size: 12px;'>I.H</th>";
        
if ($param['anolectivo']>2009)    
    $html.="<th width='15%' style='font-size: 12px;'>DEFINITIVA</th>";
           
$html.="<th width='25%' style='font-size: 12px;'>NIVEL DE DESEMPE&Ntilde;O</th>
        </tr>";
$html.="</table>";


 $html.="<table width='90%' border='1' cellspacing=0 cellpadding=2 bordercolor='666633' align='center'>";
    
    while($rowf=$obj->fetch_assoc($resul)){                                     
                        
          $html.="<tr>
                  <td width='50%' style='font-size: 12px;text-align:justify;'>".($rowf['asignatura'])."</td>
                  <td width='10%' style='font-size: 12px;text-align:center;'>".($rowf['i_h'])."</td>";
                  
          if ($param['anolectivo']>2009)    
              $html.="<td width='15%' style='font-size: 12px;text-align:center;'>".decimales($rowf['definitiva'])."</td>";
         
         $html.="<td width='25%' style='font-size: 12px;text-align:center;'>".($rowf['nivel'])."</td>
                  </tr>";

    }
        
    $html.="</table>";


  //---Escala de Valoracion -----
  
  if ($param['anolectivo']>2009){
  
  $html.="<table align='center' width='90%' border='1' style='font-size: 11px; text-align:center;'>";
  $html.="<tr>";

  $html.="<td>ESCALA DE VALORACI&Oacute;N:</td>";
  $html.="<td>BAJO (1.0 - 2.9)</td>";
  $html.="<td>B&Aacute;SICO (3.0 - 3.9)</td>";
  $html.="<td>ALTO (4.0 - 4.5)</td>";
  $html.="<td>SUPERIOR (4.6 - 5.0)</td>";

  $html.="</tr>";
  $html.="</table>";
  }
//------------------------------------------------------------------------------

$html.="<br>
    <table width='90%' border='0' align='center'>";
$html.="<tr><td style='font-size: 13px; text-align:justify;'>En virtud del Decreto 1024 del 15 de abril de 1982, del Ministerio de Justicia,
        este Certificado no requiere autenticaci&oacute;n de Notar&iacute;a.  Seg&uacute;n Decreto 2150 del 5 de diciembre de 1995, queda exento de sellos.</td></tr>";
$html.="</table>";


$mes = date("m");
$dia = date("j");
$anyo = date("Y");

$mes=nombremes($mes);

$html.="<br><table width='90%' border='0' align='center'>";
$html.="<tr><td style='font-size: 13px; text-align:justify;'>Dado en San Jos&eacute; del Fragua a los ".$dia." d&iacute;as del mes de ".strtoupper($mes)." de ".$anyo.".</td></tr>";
$html.="</table><br>";

/* 
<tr><td style='font-size: 12px; text-align:center;'><b>".$param['rector']."</b></td>  
<tr><td style='font-size: 12px; text-align:center;'>".$param['cedula_rector']."</td>          
<td align='center'><img height='60' width='180' src='../imagenes/firma_rector.png'/></td>    

*/

$html.="<div id='footer'><br><br><br>
<table width='85%' border='0' align='center'>
<tr>
        <td align='center'></td>    

<td align='center'></td>
        </tr>

<tr><td style='font-size: 12px; text-align:center;'><b>AYMER VALLEJO SOTO</b></td>     
            <td style='font-size: 12px; text-align:center;'><b>".$param['secretario']."</b></td></tr>

<tr><td style='font-size: 12px; text-align:center;'>C.C. 17.673.719 San Vicente del Cagu&aacute;n - Caquet&aacute;</td>     
            <td style='font-size: 12px; text-align:center;'>".$param['cedula_secretario']."</td></tr>

<tr><td style='font-size: 11px; text-align:center;'>RECTOR</td>     
            <td style='font-size: 11px; text-align:center;'>AUX. ADMINISTRATIVA</td></tr>

</table>    
    
</div>
</body>
</html>";

$obj->disconnect(); 

$dompdf = new DOMPDF();     
$dompdf->load_html($html);
$dompdf->set_paper('a4', 'portrait');
$dompdf->render();

$dompdf->stream($codigo.".pdf", array("Attachment" => false));


?>
