<?php

require_once 'bs_info.php';
require_once '../../../../app/model/bs_info_col.php';
require_once('../../../../app/model/FPDF/fpdf.php');

class GenerarPdf extends FPDF
{
    function Header()
    {
        $ob=new InfoCol();
        $arr=$ob->proceso();
        $ob->disconnect();

        $this->Ln(7);
        $this->SetFont("Times","",13);
        $this->Cell(34);
        $this->SetTextColor(0,0,0);
        $this->SetFillColor(248,248,255);
        $this->Cell(125,7,$arr[2],0,0,'C',false);

        $this->Ln(6);
        $this->SetFont("Times","",13);
        $this->Cell(34);
        $this->SetTextColor(0,0,0);
        $this->SetFillColor(248,248,255);
        $this->Cell(125,7,$arr[3],0,0,'C',false);

        $this->Ln(6);
        $this->Image("../../../../fotografias/".$arr[1],19,20,21);

        $this->SetFont("Times","B",17);
        $this->Cell(34);
        $this->SetTextColor(0,0,0);
        $this->SetFillColor(248,248,255);
        $this->Cell(125,9,$arr[0],0,0,'C',false);

        $this->Ln(8);
        $this->SetFont("Times","",13);
        $this->Cell(34);
        $this->SetTextColor(0,0,0);
        $this->SetFillColor(248,248,255);
        $this->Cell(125,7,$arr[5],0,0,'C',false);
                
                
        $this->Ln(11);
        //$this->Image("",10,10,30);
        $this->SetFont("Times","",10);
        $this->Cell(70);
        $this->SetTextColor(0,0,0);
        $this->Cell(50,6,$arr[4],0,0,'C',false);
        $this->Ln(9);

        //$this->Image("",10,10,30);
        $this->SetFont("Times","",9);
        $this->Cell(112);
        $this->SetTextColor(0,0,0);
        $this->Cell(50,6,('C&oacute;digo DANE   ').$arr[8],0,0,'C',false);
        

          $this->Ln(10);
        //$this->Image("",10,10,30);
        $this->SetFont("Times","B",12);
        $this->Cell(70);
        $this->SetTextColor(0,0,0);
        $this->Cell(50,6,'DESERCIONES',0,0,'C',false);
        $this->Ln(9);
   

    }
 
    


    function datos_Tbla(){
        
        $ob=new Con1();
        $arr=$ob->proceso();
        

        
        for($i=0;$i<count($arr);$i++)
        {
            $this->Ln(8);
            $this->SetFont("Times","B",12);
            $this->Cell(19);
            $this->SetTextColor(0,0,0);
            $this->SetFillColor(248,248,255);
            $this->Cell(80,6,$arr[$i]['descripcion'],1,0,'',false);
            $this->Ln(7);


            $desert=$ob->desertores($arr[$i]['codigo']);

            if($desert!='no')
            {
                $this->Ln(3);


                $this->SetFont("Times","",10);
                $this->Cell(24);
                $this->SetTextColor(0,0,0);
                $this->SetFillColor(248,248,255);
                $this->Cell(16,5,('C&oacute;DIGO'),1,0,'C',false);

                $this->SetFont("Times","",10);
//                    $this->Cell(1);
                $this->SetTextColor(0,0,0);
                $this->SetFillColor(248,248,255);
                $this->Cell(80,5,'NOMBRE',1,0,'C',false);

                $this->SetFont("Times","",10);
//                    $this->Cell(1);
                $this->SetTextColor(0,0,0);
                $this->SetFillColor(248,248,255);
                $this->Cell(70,5,'OBSERVACIONES',1,0,'C',false);

                $this->Ln(5);
//                print_r($desert);
                 for($e=0;$e<count($desert);$e++)
                 {

//                 echo "<br>".$desert[$e]['nombre']."<br>";
                    $this->SetFont("Times","",9);
                    $this->Cell(24);
                    $this->SetTextColor(0,0,0);
                    $this->SetFillColor(248,248,255);
                    $this->Cell(16,5,$desert[$e]['codigo'],1,0,'C',false);

                    $this->SetFont("Times","",9);
//                    $this->Cell(1);
                    $this->SetTextColor(0,0,0);
                    $this->SetFillColor(248,248,255);
                    $this->Cell(80,5,($desert[$e]['nombre']),1,0,'',false);

                    $this->SetFont("Times","",9);
//                    $this->Cell(1);
                    $this->SetTextColor(0,0,0);
                    $this->SetFillColor(248,248,255);
                    $this->Cell(70,5,($desert[$e]['observaciones']),1,0,'',false);
                    $this->Ln(5);
                 }
               
            }

            $this->Ln(12);

        }
//        $ob->disconnect();
    }

    function Footer()
    {
        $this->SetY(-20);
        $this->Cell(20);
        $this->Cell(100,10,"Pagina No.".$this->PageNo()."",1,0);
        $this->Cell(200);
    }
}



$pdf=new GenerarPdf();
$pdf->AddPage();

$pdf->datos_Tbla();
$pdf->Output();

?>
